Skip to main content
GET
/
v3
/
alert-rules
Lists all alert rules configured for a model.
curl --request GET \
  --url https://{host}/v3/alert-rules \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "PAGINATED",
  "data": {
    "page_size": 10,
    "item_count": 10,
    "total": 100,
    "page_count": 10,
    "page_index": 1,
    "offset": 0,
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "organization": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "metric": {
          "id": "<string>",
          "display_name": "<string>"
        },
        "evaluation_delay": 123,
        "model": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "version": "<string>"
        },
        "project": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "baseline": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "created_by": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "full_name": "<string>"
        },
        "updated_by": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "full_name": "<string>"
        },
        "is_fiddler_generated": true,
        "feature_names": [
          "<string>"
        ],
        "compare_bin_delta": 123,
        "category": "<string>",
        "auto_threshold_params": {
          "warning_multiplier": 123,
          "critical_multiplier": 123
        },
        "warning_threshold": 123,
        "critical_threshold": 123,
        "enable_notification": true,
        "segment": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition": "<string>"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Limit for the pagination

offset
integer

Offset for the pagination

filter
string

Allows you to filter by any field.

ordering
string

Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields

Allows you to search by any field.

Response

Get list of Alert Rules in detail

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object